﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Infragistics.Controls.Maps;

namespace XamGeographicMapDemo
{
    public partial class MainPage : UserControl
    {
        #region Constructors
        public MainPage()
        {
            InitializeComponent();
        }
        #endregion //Constructors

        #region GetRecForLatitudeLongitude
        private Rect GetRecForLatitudeLongitude(double topLeftX, double topLeftY, double bottomRightX, double bottomRightY)
        {
            return new Rect(Math.Min(topLeftX, bottomRightX),
            Math.Min(topLeftY, bottomRightY),
            Math.Abs(topLeftX - bottomRightX),
            Math.Abs(topLeftY - bottomRightY));            
        }
        #endregion //GetRecForLatitudeLongitude



        #region OnShapefileImportCompleted
        private void OnShapefileImportCompleted(object sender, System.ComponentModel.AsyncCompletedEventArgs e)
        {

            // show and set bounds of geo-map world 
            //ShapefileConverter shapeFileConverter = (ShapefileConverter)this.LayoutRoot.Resources["shapeFileSource"];
            // this.xamGeographicMap1.WorldRect = shapeFileConverter.WorldRect;
            this.xamGeographicMap1.WorldRect = GetRecForLatitudeLongitude(-180, 75, 180, -75);
        }
        #endregion //OnShapefileImportCompleted

    }
}
